<?php
function marketingCheckPath() {
    
    $error = false;
    if (!file_exists(_KERAWEN_IMG_MARKETING_CONFIG_)) {
        try {
            mkdir(_KERAWEN_IMG_MARKETING_CONFIG_, 0755, true);
        } catch(ErrorException $ex) {
            $error = $ex->getMessage();
        }
        restore_error_handler();
    }
    
    return $error;
}


function getMarketingDefaultImg() {
    return  array(
        100000 => array('label' => '', 'width' => 120, 'height' => 120, 'prefix' => '-annonces', 'default' => '', 'handler' => 'applyAnnoncesImg'),
        100001 => array('label' => 'KERAWEN_MARKETING_BANNER', 'width' => 740, 'height' => 360, 'prefix' => 'marketingbanner-', 'default' => 'default_marketingbanner.jpg', 'handler' => 'applyMarketingconfigImg'),
        100002 => array('label' => 'KERAWEN_MARKETING_LOYALTY_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'loyaltypicto-', 'default' => 'default_loyaltypicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100003 => array('label' => 'KERAWEN_MARKETING_CREDIT_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'creditpicto-', 'default' => 'default_creditpicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100004 => array('label' => 'KERAWEN_MARKETING_PROMO_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'promopicto-', 'default' => 'default_promopicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100005 => array('label' => 'KERAWEN_MARKETING_GIFT_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'giftpicto-', 'default' => 'default_giftpicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100006 => array('label' => 'KERAWEN_MARKETING_ORDER_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'orderpicto-', 'default' => 'default_orderpicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100007 => array('label' => 'KERAWEN_MARKETING_QUOTE_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'quotepicto-', 'default' => 'default_quotepicto.jpg', 'handler' => 'applyMarketingconfigImg'),
        100008 => array('label' => 'KERAWEN_MARKETING_DEFAULT_PICTO', 'width' => 120, 'height' => 120, 'prefix' => 'defaultpicto-', 'default' => 'default_picto.jpg', 'handler' => 'applyMarketingconfigImg'),
    );
}

function getAnnonceDefaultImg() {
    $img_params = getMarketingDefaultImg();
    return $img_params[100000];
}


function getBaseUri() {
    //Better way ? //$this->context->link->getMediaLink(_PS_IMG_.'ker_marketing/'.Configuration::get('KERAWEN_MARKETING_BANNER')
    return Tools::getHttpHost(true).__PS_BASE_URI__;
}

function getAnnonceImgPath($img) {
    return (string) $img == '' ? '' : getBaseUri() . 'img/' . _KERAWEN_IMG_MARKETING_FOLDER_ . '/' . $img;
}


function getAnnonces($id = 0) { 

    require_once(_KERAWEN_TOOLS_DIR_.'/utils.php');
	$db = Db::getInstance();

    $annonces = $db->executeS('
        SELECT 
            id, 
            `name`, 
            description, 
            link,
            linktext,
            DATE_FORMAT(annonces_from, "%d/%m/%Y") AS annonces_from, 
            DATE_FORMAT(annonces_to, "%d/%m/%Y") AS annonces_to, 
            image, 
            active
        FROM '._DB_PREFIX_.'annonces_kerawen 
        WHERE (0 = ' . (int) $id . ' OR id = ' . (int) $id . ')
        ORDER BY id DESC
    ');

    foreach ($annonces as &$annonce) {
        $annonceshop = $db->executeS('
		  SELECT 
            s.name, 
            s.id_shop AS id, 
            IF(ISNULL(csk.id_annonce), 0, 1) AS active
		  FROM '._DB_PREFIX_.'shop s
		  LEFT JOIN '._DB_PREFIX_.'annonces_shop_kerawen csk ON s.id_shop = csk.id_shop  AND csk.id_annonce = ' . (int) $annonce['id'] . '
		  WHERE s.deleted = 0 AND s.active = 1
		  ORDER BY s.id_shop ASC
		');
		$annonce['shops'] = indexArray($annonceshop, 'id');
    }

    foreach ($annonces as &$annonce) {       
        $annonce['annoncesurlLogo_thumb'] = (string) $annonce['image'] == '' ? '' : getBaseUri() . 'img/' . _KERAWEN_IMG_MARKETING_FOLDER_ . '/' .$annonce['image'] . '?t=' . time();
    }

    return (int) $id > 0 ? $annonces[0] : $annonces;
}


function applyMarktingAnnonces($data){
    
    $db = Db::getInstance();
    $values = array();
    $values['name'] = '"' . pSQL($data->name) . '"';
    $values['description'] = '"' . pSQL($data->description) . '"';
    $values['link'] = '"' . pSQL($data->link) . '"';
    $values['linktext'] = '"' . pSQL($data->linktext) . '"';
    $values['annonces_from'] = $data->annonces_from ? "'" . implode("-", array_reverse(explode("/", $data->annonces_from))) ." 00:00:00'" : 'NULL';
    $values['annonces_to'] = $data->annonces_to ? "'" . implode("-", array_reverse(explode("/", $data->annonces_to))). " 23:59:59'" : 'NULL';
    $values['active'] = (int) $data->active;
    
    if ((int) $data->id === 0) {
        
        $values['creation_date'] = '"' . pSQL(date('Y-m-d H:i:s')) . '"';
        $q = $db->execute('INSERT INTO `'._DB_PREFIX_.'annonces_kerawen` (' . implode(',', array_keys($values)) . ') VALUES (' . implode(',', $values) . ')');
        $id_annonce = $db->Insert_ID();
        
    } else {
        
        $values['update_date'] = '"' . pSQL(date('Y-m-d H:i:s')) . '"';
        
        $q = 'UPDATE `'._DB_PREFIX_.'annonces_kerawen` SET ';
        $sep = '';
        foreach($values as $key => $value) {
            $q .= $sep . $key . ' = ' . $value;
            $sep = ',';
        }
        $q .= ' WHERE id = '. (int) $data->id;
        
        $db->execute($q);
        $id_annonce = (int) $data->id;
    }
    
    //shop mapping table.
    if (isset($data->shops)) {
        $db->delete('annonces_shop_kerawen', 'id_annonce = '. (int) $id_annonce);
        foreach ($data->shops as $shop) {
            if ((int) $shop->active) {
                $db->insert('annonces_shop_kerawen', array(
                    'id_annonce'=>(int) $id_annonce,
                    'id_shop' => (int) $shop->id,
                ));
            }
        }
    }  
}

function deleteMarketingAnnonces($id){
    
    $db = Db::getInstance();
    $params = getAnnonceDefaultImg();
    
    $file_pattern = _KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $id . $params['prefix'] .'.*';
    array_map("unlink", glob($file_pattern));
    
    $db->delete('annonces_kerawen', 'id = '. (int) $id);
    $db->delete('annonces_shop_kerawen', 'id_annonce = '. (int) $id);
    
}

function applyMarktingAnnoncesImg($request){
    
    $error = array();
    $res = marketingCheckPath();
    if ($res) { $error[] = $res; }
    
    if (file_exists(_KERAWEN_IMG_MARKETING_CONFIG_)) {
        
        $img_params = getMarketingDefaultImg();
        $data = $request->params;
        $result = array();
        
        if (isset($img_params[$data->key])) {
            $params = $img_params[$data->key];
            
            $file_pattern = _KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $data->id . $params['prefix'] . '.*';
            array_map("unlink", glob($file_pattern));
            
            list($header, $dataImg) = explode(',', $data->dataImg);
            $file_name = $data->id . $params['prefix'] . $data->ext;
            $file_path = _KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $file_name;
            
            file_put_contents($file_path, base64_decode($dataImg));
            
            if (!file_exists($file_path)) {
                $file_name = '';
                $error[] = 'Unable to copy file';
            }
            
            Db::getInstance()->execute("
    	       UPDATE " . _DB_PREFIX_ . "annonces_kerawen SET image = '". pSQL($file_name) ."'
               WHERE id = " . (int) $data->id
                );
            
        } else {
            $error[] = 'Wrong parameter';
        }
        
    } else {
        $error[] = 'Missing directory';
    }
    
    $request->addResult('error', $error);
    
}


function getMarketingImgPath($img_key) {
    
    $img_params = getMarketingDefaultImg();

    //Default image path
    $img_url = getBaseUri() . 'modules/kerawen/img/' . $img_params[$img_key]['default'];
    
    $img = Configuration::get($img_params[$img_key]['label']);
    if ($img && $img != '') {
        if (file_exists(_KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $img)) {
            $img_url = getBaseUri() . 'img/' . _KERAWEN_IMG_MARKETING_FOLDER_ . '/' . $img;
        }
    }

    return $img_url;
}

function getMarketingAnnoncePath($img) {
 
    //Default image
    $img_url = getMarketingImgPath(100008);

    if ($img && $img != '') {
        if (file_exists(_KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $img)) {
            $img_url = getBaseUri() . 'img/' . _KERAWEN_IMG_MARKETING_FOLDER_ . '/' . $img . '?t=' . time();
        }
    }
    return $img_url;
}


function getMarketingActive() {
    return (int) Db::getInstance()->getValue('
        SELECT installed FROM '._DB_PREFIX_.'kerawen_fix WHERE name = "marketing"
    ');
}


function getMarketingconfig() { 

    $marketingconfig = array();     
    $marketingconfig['primary_color'] = (string) Configuration::get('KERAWEN_MARKETING_PRIMARY_COLOR');
    $marketingconfig['secondary_color'] = (string) Configuration::get('KERAWEN_MARKETING_SECOND_COLOR');
    $marketingconfig['other_color'] = (string) Configuration::get('KERAWEN_MARKETING_OTHER_COLOR');
    $marketingconfig['confactive'] = getMarketingActive();
    
    $marketingconfig['bannerurlLogo_thumb'] = getMarketingImgPath(100001);
    $marketingconfig['loyaltyurlLogo_thumb'] = getMarketingImgPath(100002);
    $marketingconfig['crediturlLogo_thumb'] = getMarketingImgPath(100003);
    $marketingconfig['promourlLogo_thumb'] = getMarketingImgPath(100004);
    $marketingconfig['gifturlLogo_thumb'] = getMarketingImgPath(100005);
    $marketingconfig['orderurlLogo_thumb'] = getMarketingImgPath(100006);
    $marketingconfig['quoteurlLogo_thumb'] = getMarketingImgPath(100007);
    $marketingconfig['defaulturlLogo_thumb'] = getMarketingImgPath(100008);

    return $marketingconfig;
 }
 
 
 function applyMarketingconfig($request){   

    $data = $request->params->data;
    
    Configuration::updateGlobalValue('KERAWEN_MARKETING_PRIMARY_COLOR', pSQL($data->primary_color));
    Configuration::updateGlobalValue('KERAWEN_MARKETING_SECOND_COLOR', pSQL($data->secondary_color));
    Configuration::updateGlobalValue('KERAWEN_MARKETING_OTHER_COLOR', pSQL($data->other_color));

    $error = '';
    if (getMarketingActive() !== (int) $data->confactive) {
        require_once(_KERAWEN_FIX_DIR_.'/fixes.php');
        $module = Module::getInstanceByName('kerawen');
        $error = ((int) $data->confactive) ? installFix('marketing', $module) : uninstallFix('marketing', $module);
    }

    $request->addResult('error', $error);
}

function applyMarketingconfigImg($request){
    
    $error = array();
    $res = marketingCheckPath();
    if ($res) { $error[] = $res; }

    if (file_exists(_KERAWEN_IMG_MARKETING_CONFIG_)) {

        $img_params = getMarketingDefaultImg();
        $data = $request->params;
        
        if (isset($img_params[$data->key])) {
            $params = $img_params[$data->key];
    
            $configfile_pattern = _KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $params['prefix'] . '*.*';
            array_map("unlink", glob($configfile_pattern));
    
            list($header, $dataImg) = explode(',', $data->dataImg);
            $file_name = $params['prefix'] . rand() . $data->ext;
            $file_path = _KERAWEN_IMG_MARKETING_CONFIG_ . '/' . $file_name;
            file_put_contents($file_path, base64_decode($dataImg));
            
            if (!file_exists($file_path)) {
                $file_name = false;
                $error[] = 'Unable to copy file';
            }
            
            Configuration::updateGlobalValue($params['label'], $file_name);    
        } else {
            $error[] = 'Wrong parameter';
        }
    
    } else {
        $error[] = 'Missing directory';
    }
    
    $request->addResult('error', $error);
    
}

?>