<?php
class MyAccountController extends MyAccountControllerCore
{

    public function initContent()
    {
        parent::initContent();
        $this->context->smarty->assign(
            array(
                'logout_url' => $this->context->link->getPageLink('index', true, null, 'mylogout'),
            )
       );

        require_once (_KERAWEN_DIR_.'/controllers/front/giftcard.php');
        require_once(_KERAWEN_CLASS_DIR_.'/cartrules.php');
        require_once(_KERAWEN_CLASS_DIR_.'/marketingconfigurations.php');
        require_once(_KERAWEN_CLASS_DIR_.'/loyalty.php');
        
        $marketing_cartrules = getCartRules((int)$this->context->customer->id, $this->context->language->id, $this->context->shop->id);
        $this->context->smarty->assign('marketing_cartrules', $marketing_cartrules);
        
        $this->context->smarty->assign('id_customer', (int) $this->context->customer->id);	
        $this->context->smarty->assign('customers_info', new Customer((int) $this->context->customer->id));	
        $this->context->smarty->assign('id_currency', (int) $this->context->currency->id);

        $this->context->smarty->assign('version16_dir', _PS_ROOT_DIR_ );
        $this->context->smarty->assign('img_ps_dir_kerawen', _PS_IMG_ );
        
        $marketingConfig = getMarketingconfig();
        $this->context->smarty->assign('marketing_banner', $marketingConfig['bannerurlLogo_thumb']);
        $this->context->smarty->assign('marketing_loyalty_picto', $marketingConfig['loyaltyurlLogo_thumb']);
        $this->context->smarty->assign('marketing_credit_picto', $marketingConfig['crediturlLogo_thumb']);
        $this->context->smarty->assign('marketing_promo_picto', $marketingConfig['promourlLogo_thumb']);
        $this->context->smarty->assign('marketing_gift_picto', $marketingConfig['gifturlLogo_thumb']);
        $this->context->smarty->assign('marketing_latestorder_picto', $marketingConfig['orderurlLogo_thumb']);
        $this->context->smarty->assign('marketing_latestquote_picto', $marketingConfig['quoteurlLogo_thumb']);
        $this->context->smarty->assign('primary_color', $marketingConfig['primary_color']);
        $this->context->smarty->assign('secondary_color', $marketingConfig['secondary_color']);
        $this->context->smarty->assign('link_color', $marketingConfig['other_color']);	
        
        $this->context->smarty->assign('barcode_generate_link', getBaseUri() . 'modules/kerawen/tools/barcode.php');

        $this->context->smarty->assign('latestorder_detail', $this->getLatestOrder((int)$this->context->customer->id));
        $this->context->smarty->assign('latestquote_detail', $this->getLatestQuote((int)$this->context->customer->id));
        $this->context->smarty->assign('customer_annonces', $this->getCustomerAnnonces((int)$this->context->shop->id));
        

        $rewardconfig = array(
            'kerawensupport' => false,
            'points' => 0,
            'discount_point_value' => 0,
            'minimal_value' => 0,
            'link' => false,
            'transform' => false,
            'point_rate' => 0,
            'convert threshold' => 0,
            'front_convert' => 0,
            'front_url' => '',
        );

        $loyalty = KerawenLoyalty::getPlugin();
        if(isset($loyalty) && $loyalty!='') {
            $rewardconfig = array_merge($rewardconfig, $loyalty->getInfo((int)$this->context->customer->id));
        }
        
        $this->context->smarty->assign('kerawen_support', (int)$rewardconfig['kerawensupport']);      
        $this->context->smarty->assign('customerloyaltypoints', $rewardconfig['points']);
        $this->context->smarty->assign('convert_threshold', $rewardconfig['convert_threshold']);
        $this->context->smarty->assign('convert_value', (int) ($rewardconfig['convert_threshold'] * $rewardconfig['discount_point_value']));
        
        $customerNextRewardPoints = 0;
        if($rewardconfig['convert_threshold'] > 0 && $rewardconfig['convert_threshold'] > $rewardconfig['points']) {
            $customerNextRewardPoints = $rewardconfig['convert_threshold'] - $rewardconfig['points'];
        }
        $this->context->smarty->assign('customernextrewardypoints', round($customerNextRewardPoints));
        
        $this->context->smarty->assign('front_url', $rewardconfig['front_url']);
        $this->context->smarty->assign('front_convert', (int)$rewardconfig['front_convert']);
        
        $this->context->smarty->assign('customerloyalty_number', $this->getLoyaltyNumberByCustomer((int)$this->context->customer->id));
        $this->context->smarty->assign('a_euro_points', str_replace('.',',',$rewardconfig['discount_point_value']));
        $this->context->smarty->assign('points_rate', str_replace('.',',',$rewardconfig['point_rate']));

        if (Tools::version_compare(_PS_VERSION_, '1.7', '>=')) {  
            $tpl = '../../../modules/kerawen/views/templates/front/kerawen_marketing_17.tpl';				
            $stores = $this->getTemplateVarStores17();
        } else {
            $tpl = 'modules/kerawen/views/templates/front/kerawen_marketing.tpl';
            $stores = $this->marketingStores();
        }
        $this->context->smarty->assign('marketing_stores', $stores);           
        $this->setTemplate($tpl);

    }
    
    public static function getCustomerAnnonces($id_shop) 
    {    
        require_once(_KERAWEN_CLASS_DIR_.'/marketingconfigurations.php');
        
        $annonces = Db::getInstance()->executeS('
            SELECT 
                tp.* 
            FROM `'._DB_PREFIX_.'annonces_kerawen` tp 
            JOIN `'._DB_PREFIX_.'annonces_shop_kerawen` ts ON tp.id = ts.id_annonce 
            WHERE ts.id_shop ='.$id_shop.' 
            AND tp.active = 1 
            AND (tp.annonces_from <= NOW() OR tp.annonces_from IS NULL)
            AND (tp.annonces_to >= NOW() OR tp.annonces_to IS NULL)
        ');
        foreach ($annonces as &$annonce) {
            $annonce['annoncesurlLogo_thumb'] = getMarketingAnnoncePath((string) $annonce['image']);
        }
        return $annonces;
    }

    public static function getLoyaltyNumberByCustomer($id_customer)
	{
	    require_once(_KERAWEN_CLASS_DIR_.'/customer.php');
	    
        $lnum = (string) Db::getInstance()->getValue('
            SELECT 
                loyalty_number
            FROM '._DB_PREFIX_.'customer_kerawen
            WHERE id_customer = '. (int) $id_customer
        );
        
        if ($lnum == '') {
            $lnum = getRandomLoyaltyNumber();
            updateLoyaltyNumber($id_customer, $lnum);
        }

        return $lnum;
    }

    public static function getLatestOrder($id_customer)
	{
         $marketingpage_orderdetail = array();
         $lastorderId = Db::getInstance()->executeS('
				SELECT id_order
				FROM '._DB_PREFIX_.'orders
				WHERE id_customer = '.pSQL($id_customer).' ORDER BY id_order DESC LIMIT 0,1');
         if(!empty($lastorderId)){
            $marketingpage_orderdetail = new Order((int)$lastorderId[0]['id_order']);
         }     
         return (array)$marketingpage_orderdetail;
    }

    public static function getLatestQuote($id_customer)
	{
	    require_once(_KERAWEN_CLASS_DIR_.'/quote.php');
	    return getLatestQuote($id_customer);
    }
    
    public function setMedia()
    {
        parent::setMedia();
        if (Tools::version_compare(_PS_VERSION_, '1.7', '>=')) {
            $this->registerStylesheet('marketing', 'modules/kerawen/css/marketing.css', ['position' => 'bottom', 'priority' => 100]);
            $this->addJS(_MODULE_DIR_.'kerawen/js/marketing.js');
        } else {			
            $this->addCSS(_MODULE_DIR_.'kerawen/css/marketing.css');
            $this->addJS(_MODULE_DIR_.'kerawen/js/marketing.js');
        }
    }

    public function marketingStores(){
        $stores = array();
		$stores = Db::getInstance()->executeS('
			SELECT s.*, cl.name country, st.iso_code state, st.name as state_name
			FROM '._DB_PREFIX_.'store s
			'.Shop::addSqlAssociation('store', 's').'
			LEFT JOIN '._DB_PREFIX_.'country_lang cl ON (cl.id_country = s.id_country)
			LEFT JOIN '._DB_PREFIX_.'state st ON (st.id_state = s.id_state)
			WHERE s.active = 1 AND cl.id_lang = '.(int)$this->context->language->id);
        $addresses_formated = array();
        foreach ($stores as &$store) {
            $address = new Address();
            $address->country = Country::getNameById($this->context->language->id, $store['id_country']);
            $address->address1 = $store['address1'];
            $address->address2 = $store['address2'];
            $address->postcode = $store['postcode'];
            $address->city = $store['city'];
            $store['address']['formatted'] = AddressFormat::generateAddress($address, [], '<br />');
            $store['has_picture'] = file_exists(_PS_STORE_IMG_DIR_.(int)$store['id_store'].'.jpg');
            if ($working_hours = $this->renderStoreWorkingHours($store)) {
                $store['working_hours'] = $working_hours;
            }
        }     
        return $stores;
	}

    public function renderStoreWorkingHours($store)
    {
        global $smarty;
        $days[1] = 'Monday';
        $days[2] = 'Tuesday';
        $days[3] = 'Wednesday';
        $days[4] = 'Thursday';
        $days[5] = 'Friday';
        $days[6] = 'Saturday';
        $days[7] = 'Sunday';
        $days_datas = array();
        $hours = array();
        if ($store['hours']) {
            $hours = Tools::unSerialize($store['hours']);
            if (is_array($hours)) {
                $hours = array_filter($hours);
            }
        }
        if (!empty($hours)) {
            for ($i = 1; $i < 8; $i++) {
                if (isset($hours[(int)$i - 1])) {
                    $hours_datas = array();
                    $hours_datas['hours'] = $hours[(int)$i - 1];
                    $hours_datas['day'] = $days[$i];
                    $days_datas[] = $hours_datas;
                }
            }
            $smarty->assign('days_datas', $days_datas);
            $smarty->assign('id_country', $store['id_country']);
            return $this->context->smarty->fetch(_PS_THEME_DIR_.'store_infos.tpl');
        }
        return false;
    }

    public function getTemplateVarStores17(){
		$stores = Store::getStores($this->context->language->id);
		$imageRetriever = new \PrestaShop\PrestaShop\Adapter\Image\ImageRetriever($this->context->link);
        foreach ($stores as &$store) {
            unset($store['active']);
            $address = new Address();
            $store['address'] = [];
            $attr = ['address1', 'address2', 'postcode', 'city', 'id_state', 'id_country'];
            foreach ($attr as $a) {
                $address->{$a} = $store[$a];
                $store['address'][$a] = $store[$a];
                unset($store[$a]);
            }
            $store['address']['formatted'] = AddressFormat::generateAddress($address, [], '<br />');
            $temp = json_decode($store['hours'], true);
            unset($store['hours']);
            $store['business_hours'] = [
                [
                    'day' => $this->trans('Monday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[0],
                ], [
                    'day' => $this->trans('Tuesday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[1],
                ], [
                    'day' => $this->trans('Wednesday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[2],
                ], [
                    'day' => $this->trans('Thursday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[3],
                ], [
                    'day' => $this->trans('Friday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[4],
                ], [
                    'day' => $this->trans('Saturday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[5],
                ], [
                    'day' => $this->trans('Sunday', [], 'Shop.Theme.Global'),
                    'hours' => $temp[6],
                ],
            ];
            $store['image'] = $imageRetriever->getImage(new Store($store['id_store']), $store['id_store']);
            if (is_array($store['image'])) {
                $store['image']['legend'] = $store['image']['legend'][$this->context->language->id];
            }
        }
        return $stores;
	}
}
