<?php
/*
 * @copyright 2020 KerAwen
 *
 */

function proportionalize_prices(&$rows, $member, $total, $precision) {
	$res = array();
	
	$sum = 0;
	foreach($rows as &$row) $sum += $row[$member];
	$ratio = $sum != 0 ? $total/$sum : 0;
	
	$sum = 0;
	foreach($rows as &$row) {
	    $row[$member] = round($row[$member]*$ratio, $precision);
	    $sum += $row[$member];
	}
	return $sum;
}


function correct_prices(&$rows, $member, $error, $precision) {
    $unit = pow(10, $precision);
    $amount = (int) round($error*$unit);
    $remainder = ($amount < 0 ? -1 : +1)*(abs($amount)%count($rows));
    $adjust = ($amount - $remainder)/count($rows)/$unit;
    $sign = $error >= 0 ? +1 : -1;
    
    // Adjust items until no more difference
    $position = 0;
    foreach ($rows as &$row) {
        $row[$member] += $adjust;
        if ($position < abs($remainder)) {
            $row[$member] += $sign/$unit;
        }
        $position++;
    }
}
