{extends file='customer/page.tpl'}

{block name='page_title'}
  {l s='Your account' d='Shop.Theme.Customeraccount'}
{/block}

{block name='page_content'}

<div class="content">
    <div class="tabs" id="kerawen_marketing"> 
      <div class="marketing_banner"> 
         <img src="{$marketing_banner}" alt="kerawen marketing banner"></img>
          <div class="customer_loyalty_info">    
              
	          <div class="customer_info{if ($kerawen_support != 1)} loyalty_not_enabled{/if}" {if ($customerloyaltypoints == -1)}style="height: 100%;"{/if}>
	            <div class="customer_info_name">{l s='Hello' mod='kerawen'} <span class="customer_advname">{$customers_info->firstname} {$customers_info->lastname}</span></div>
	            <div class="customer_account_edit"><i class="material-icons" aria-hidden="true">edit</i> <a title="{l s='My account' mod='kerawen'}" href="{$urls.pages.identity}"><span>{l s='My account' mod='kerawen'}</span></a></div>
	          </div>
	          {if ($kerawen_support == 1)}      
	            {if ($customerloyaltypoints > 0)}
	            <div class="loyalty_info">
	              <div class="loyalty_title">{l s='Well done you have' mod='kerawen'}</div>
	              <div class="loyalty_points_block"><span class="loyalty_points">{$customerloyaltypoints}</span> {l s='Loyalty points' mod='kerawen'}</div>
	              
	              <div class="loyalty_text">    
	                  {if ($front_convert == 1 && $front_url != '')}
	                    <a class="transfervoucher" href="{$front_url|escape:'html'}" target="_blank" title="{l s='Convert my points into a discount voucher' mod='kerawen'}">
	                      {l s='Convert my points into a discount voucher' mod='kerawen'}
	                    </a>
	                  {else}      
	                    {if $customernextrewardypoints > 0}
	                    {l s='Only' mod='kerawen'} {$customernextrewardypoints} {l s='points' mod='kerawen'} <div class="pointsleft_info">{l s='left before the next reward' mod='kerawen'} {if $convert_threshold > 0 && $convert_value > 0 }({$convert_value}€){/if}</div>
	                  	{/if}
	                  {/if}
	              </div>              
	            </div>
	            {else}
	              <div class="loyalty_info">              
	                <div class="no_loyalty_info_text">              
	                    <div class="no_loyalty_title">{l s='Place an order and earn loyalty points' mod='kerawen'}</div>
	                    <div class="no_loyalty_points_block"><span class="no_loyalty_points">{$points_rate}</span> {l s='euro spent' mod='kerawen'} = <span class="no_loyalty_points">1</span> {l s='point earned' mod='kerawen'}</div>
	                    {if $convert_threshold > 0 && $convert_value > 0 }
	                    <div class="no_loyalty_points_block nlpb2">{l s='After ' mod='kerawen'} {$convert_threshold} points {l s='earn a voucher for' mod='kerawen'} {$convert_value}€</div>
	                    {/if}
	                </div>             
	              </div>
	            {/if}
	          {/if}
	          {if $customerloyalty_number}
	            <div class="loyalty_card_text" onclick="marketingLoyaltyBarcodePopup();">
	              <span class="icon">&nbsp;</span> <span class="customer_loyalty_number">{l s='Show my loyalty card' mod='kerawen'}</span>
	            </div>
	          {/if}
	
	          <div id="loyalty_barcode" class="marketing_modal">
	            <div class="marketing_modal-content">
	                <div class="main_popup_close" onclick="marketingCloseLoyaltyBarcodePopup();">
	                    <span class="marketing_modal_close">×</span>                    
	                </div>
	                  <div class="marketing_modal_content_inner">                  
	                    <div class="col-md-12 col-sm-12 col-xs-12 divide-left">
	                      <div class="marketing-model-title">{l s="Ma carte de fidélité" mod="kerawen"}</div>                      
	                      <div class="voucher_subtext">{l s="Cangnottez en magasin ou en ligne et profitez de vos promos en présentant votre code-barres en caisse" mod="kerawen"}</div>
	                      <div class="barcode_gen_img">
	                        <img src="{$barcode_generate_link}?code={$customerloyalty_number}" />
	                      </div>
	                    </div>
	                  </div>
	            </div>
	        </div>

        </div>
      </div>

        <ul class="nav nav-tabs" role="tablist">
            <li class="nav-item col-lg-4">
               <a class="nav-link js-product-nav-active active" data-toggle="tab" href="#promos" role="tab" aria-controls="promos">{l s='Activity and promotions' mod='kerawen'}</a> 
            </li>
            <li class="nav-item col-lg-4">
              <a class="nav-link " data-toggle="tab" href="#magasins" role="tab" aria-controls="magasins">{l s='Stores' mod='kerawen'}</a>
            </li>
            <li class="nav-item col-lg-4">
              <a class="nav-link " data-toggle="tab" href="#myaccount" role="tab" aria-controls="myaccount">{l s='My account' mod='kerawen'}</a>
            </li>
        </ul>

      <!-- TAB CONTENT -->
      <div class="tab-content" id="tab-content">
        <!-- promotions and rewards block -->
        <div class="tab-pane fade js-product-tab-active active in" id="promos" role="tabpanel" aria-expanded="true">          
            {include file='module:kerawen/views/templates/front/kerawen_marketing_promotions_17.tpl' marketing_cartrules=$marketing_cartrules} 
        </div>

        <!-- store informations -->
       <div class="tab-pane fade" id="magasins" role="tabpanel" aria-expanded="false">
          {include file='module:kerawen/views/templates/front/kerawen_marketing_stores_17.tpl' stores=$marketing_stores}
        </div>

        <!-- my account informations -->
       <div class="tab-pane fade" id="myaccount" role="tabpanel" aria-expanded="false">
        
        <!-- Need to get menu content from my-account template file --> 
        <div class="get_myaccount_content">
          <div class="row">
            <div class="links">

                <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="identity-link" href="{$urls.pages.identity}">
                  <span class="link-item">
                    <i class="material-icons">&#xE853;</i>
                    {l s='Information' d='Shop.Theme.Customeraccount'}
                  </span>
                </a>
          
                {if $customer.addresses|count}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="addresses-link" href="{$urls.pages.addresses}">
                    <span class="link-item">
                      <i class="material-icons">&#xE56A;</i>
                      {l s='Addresses' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {else}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="address-link" href="{$urls.pages.address}">
                    <span class="link-item">
                      <i class="material-icons">&#xE567;</i>
                      {l s='Add first address' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {/if}

                {if !$configuration.is_catalog}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="history-link" href="{$urls.pages.history}">
                    <span class="link-item">
                      <i class="material-icons">&#xE916;</i>
                      {l s='Order history and details' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {/if}
          
                {if !$configuration.is_catalog}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="order-slips-link" href="{$urls.pages.order_slip}">
                    <span class="link-item">
                      <i class="material-icons">&#xE8B0;</i>
                      {l s='Credit slips' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {/if}
          
                {if $configuration.voucher_enabled && !$configuration.is_catalog}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="discounts-link" href="{$urls.pages.discount}">
                    <span class="link-item">
                      <i class="material-icons">&#xE54E;</i>
                      {l s='Vouchers' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {/if}
          
                {if $configuration.return_enabled && !$configuration.is_catalog}
                  <a class="col-lg-4 col-md-6 col-sm-6 col-xs-12" id="returns-link" href="{$urls.pages.order_follow}">
                    <span class="link-item">
                      <i class="material-icons">&#xE860;</i>
                      {l s='Merchandise returns' d='Shop.Theme.Customeraccount'}
                    </span>
                  </a>
                {/if}

                {block name='display_customer_account'}
                  {hook h='displayCustomerAccount'}
                {/block}
            </div>
          </div>
        </div>

          <div class="page-my-account">
            <div id="content">
              <div class="row">
                <!-- To replace myaccount menus here via jquery -->
                <div class="links">
                </div>
                <!-- END -->
              </div>  
            </div>
          </div>    
        </div>

      </div>
  </div>
</div>

<style type="text/css">

:root {
  --primary_color: {$primary_color};
  --secondary_color: {$secondary_color};
  --link_color: {$link_color};
}


.customer_info.loyalty_not_enabled{
  margin-top:35%;
}
@media only screen and (min-width: 320px) and (max-width: 479px) {
  .customer_loyalty_info.loyalty_not_enabled{
    background: none;  
  }
  .customer_info.loyalty_not_enabled{
      margin-top:15%;
  }
}
@media only screen and (min-width: 480px) and (max-width: 767px) {
  .customer_loyalty_info.loyalty_not_enabled{
    background: none;  
  } 
  .customer_info.loyalty_not_enabled{
    margin-top:15%;
  }
}

</style>
{/block}