{foreach $stores as $store}
    <article id="store-{$store.id_store}" class="store-item card">
      <div class="store-item-container clearfix" style="margin-bottom: 10px;">
        <div class="col-md-12 card-title h3">{$store.name}</div>
        <div class="col-md-3 store-picture hidden-sm-down">
          <img
            src="{$img_store_dir}{$store.id_store}-medium_default.jpg"
            {if $store.has_picture}
              alt="{$store.name|escape:'html':'UTF-8'}"
              title="{$store.name|escape:'html':'UTF-8'}"
            {else}
              alt="{$store.name|escape:'html':'UTF-8'}"
            {/if}
          >
        </div>


        <div class="col-md-9 col-sm-9 col-xs-12">
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="icon-map-marker"></i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description">
                {assign value=$store.id_store var="id_store"}
                <address>
                  {$store.address.formatted nofilter}
                  {$store.state_name}<br/>
                  {$store.country}
                </address>
          </div>
          <!-- phone -->
          {if $store.phone}
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="icon-phone"></i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description"><a href="tel:{$store.phone}">{$store.phone}</a></div>
         {/if}
         <!-- email -->
         {if $store.email}
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="icon-envelope-alt"></i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description"><a href="mailto:{$store.email}">{$store.email}</a></div>
         {/if}

         <!-- store working hours popup -->
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="icon-time"></i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description" onclick="marketingOpenShopHoursInfoPopup({$store.id_store});"><span class="hours_title">{l s="Voir les horaires" mod="kerawen"} &nbsp;<i class="icon-arrow-right"></i></span></div>

          <div id="marketing_modal_{$store.id_store}" class="marketing_modal">
          <div class="marketing_modal-content">
                    <div class="main_popup_close" onclick="marketingCloseShopHoursInfoPopup({$store.id_store});">
                      <span class="marketing_modal_close">×</span>                    
                    </div>
                    <div class="marketing_modal_content_inner">
                    
                    <div class="col-md-12 col-sm-12 col-xs-12 divide-left">
                      <div class="marketing-model-title">{l s='horaires d\'ouverture' mod="kerawen"}</div>
                      <div class="shop-hours-title">{$store.name}</div>                      
                      <div class="shop_hours_ps16">
                        {$store.working_hours}
                      </div>
                    </div>

                    </div>
          </div>
          </div>                
        </div>
      </div>
    </article>
  {/foreach}
