{foreach $stores as $store}
    <article id="store-{$store.id}" class="store-item card">
      <div class="store-item-container clearfix">
        <div class="col-md-12 card-title h3">{$store.name}</div>
        <div class="col-md-3 store-picture hidden-sm-down">
          <img
            src="{$store.image.bySize.stores_default.url}"
            {if !empty($store.image.legend)}
              alt="{$store.image.legend}"
              title="{$store.image.legend}"
            {else}
              alt="{$store.name}"
            {/if}
          >
        </div>

        <div class="col-md-9 col-sm-9 col-xs-12 stores_marketinfo">
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="material-icons" aria-hidden="true">location_on</i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description">
            <address>{$store.address.formatted nofilter}</address>
          </div>
          {* {if $store.note || $store.phone || $store.fax || $store.email}
            <a data-toggle="collapse" href="#about-{$store.id}" aria-expanded="false" aria-controls="about-{$store.id}"><strong>{l s='About and Contact' d='Shop.Theme.Global'}</strong><i class="material-icons">&#xE409;</i></a>
          {/if} *}
          <!-- phone -->
          {if $store.phone}
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="material-icons" aria-hidden="true">&#xE0B0;</i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description"><a href="tel:{$store.phone}">{$store.phone}</a></div>
         {/if}
         <!-- email -->
         {if $store.email}
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="material-icons" aria-hidden="true">&#xE0BE;</i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description"><a href="mailto:{$store.email}">{$store.email}</a></div>
         {/if}

         <!-- store working hours popup -->
          <div class="col-md-1 col-sm-7 col-xs-12 icons-stores">
            <i class="material-icons" aria-hidden="true">query_builder</i>
          </div>
          <div class="col-md-8 col-sm-6 col-xs-12 store-description" onclick="marketingOpenShopHoursInfoPopup({$store.id});">
          <span class="hours_title">{l s="Voir les horaires" mod="kerawen"}
          <i class="material-icons" aria-hidden="true" style="bottom: 1px;position: relative;">arrow_right</i>
          </span>
          </div>

          <div id="marketing_modal_{$store.id}" class="marketing_modal">
          <div class="marketing_modal-content">
                  <div class="main_popup_close" onclick="marketingCloseShopHoursInfoPopup({$store.id});">
                      <span class="marketing_modal_close">×</span>                    
                  </div>
                    <div class="marketing_modal_content_inner">
                    
                    <div class="col-md-12 col-sm-12 col-xs-12 divide-left">
                    <div class="marketing-model-title">{l s='horaires d\'ouverture' mod="kerawen"}</div>
                    <div class="shop-hours-title">{$store.name}</div>
                      <table>
                        {foreach $store.business_hours as $day}
                        <tr>
                          <td class="day-title">{$day.day}</td>
                          <td>
                            <ul>
                            {foreach $day.hours as $h}
                              <li>{$h}</li>
                            {/foreach}
                            </ul>
                          </td>
                        </tr>
                        {/foreach}
                      </table>
                    </div>

                    </div>
          </div>
          </div>
                
        </div>
        
        
      </div>
      {* <footer id="about-{$store.id}" class="collapse">
        <div class="store-item-footer divide-top">
          {if $store.note}
            <div class="card-block">
              <p class="text-justify">{$store.note}</p>
            </div>
          {/if}
          <ul class="card-block">
            {if $store.phone}
              <li><i class="material-icons">&#xE0B0;</i>{$store.phone}</li>
            {/if}
            {if $store.fax}
              <li><i class="material-icons">&#xE8AD;</i>{$store.fax}</li>
            {/if}
            {if $store.email}
              <li><i class="material-icons">&#xE0BE;</i>{$store.email}</li>
            {/if}
          </ul>
        </div>
      </footer> *}
    </article>
  {/foreach}
